
Name: perl-Sys-Hostname-Long
Version: 1.4 
Release: 2.endian0
Summary:       Try every conceivable way to get full hostname.
License:       Artistic
Group:         System Environment/Libraries
URL:           http://search.cpan.org/dist/%{name}/
Source:        http://search.cpan.org/CPAN/authors/id/S/SC/SCOTT/Sys-Hostname-Long-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
# ugly hack
Provides: perl(Win32::TieRegistry)

%description
How to get the host full name in perl on multiple operating systems
(mac, windows, unix* etc).

%prep
%setup -q -n Sys-Hostname-Long-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README* Changes
%{perl_vendorlib}/Sys/Hostname/Long.pm
%{perl_vendorlib}/Sys/Hostname/testall.pl
%{_mandir}/man3/Sys::Hostname::Long.3pm*


%changelog
* Mon Oct 30 2006 Mike Tremaine <mgt@stellarcore.net>
- Built endian package requires perl(Test).
